// Copyright (c) FIRST and other WPILib contributors.
// Open Source Software; you can modify and/or share it under the terms of
// the WPILib BSD license file in the root directory of this project.

package frc.robot;

import edu.wpi.first.math.MathUtil;
import edu.wpi.first.wpilibj2.command.Command;
import edu.wpi.first.wpilibj2.command.Commands;
import edu.wpi.first.wpilibj2.command.RunCommand;
import edu.wpi.first.wpilibj2.command.button.CommandXboxController;
import frc.robot.commands.GrimperHaut;
import frc.robot.commands.GrimpeurBas;
import frc.robot.commands.GrimpeurManuel;
import frc.robot.commands.ResetGrimpeur;
import frc.robot.subsystems.Bougie;
import frc.robot.subsystems.Grimpeur;

public class RobotContainer {
  CommandXboxController manette1 = new CommandXboxController(0);
  CommandXboxController manette2 = new CommandXboxController(1);
  Grimpeur grimpeur = new Grimpeur();
  Bougie bougie = new Bougie();
  GrimpeurManuel grimpeurManuel = new GrimpeurManuel(grimpeur, manette2::getLeftY);
  public RobotContainer() {
    grimpeur.setDefaultCommand(new RunCommand(()->{
      if(grimpeur.stop()){
       grimpeur.grimpe(0); 
      }
      else{
        grimpeur.grimpe(MathUtil.applyDeadband(manette2.getLeftY(), 0.2));
    }}, grimpeur));
    configureBindings();
  }
  
  private void configureBindings() {
    manette2.leftBumper().whileTrue(new GrimperHaut(grimpeur,bougie));
    manette2.rightBumper().whileTrue(new GrimpeurBas(grimpeur));
    manette2.a().whileTrue(new ResetGrimpeur(grimpeur));
  }

  public Command getAutonomousCommand() {
    return Commands.print("No autonomous command configured");
  }
}